Bug 115330 - Mounting SanDisk Compact Flash Reader Imagemate SDDR05 freezes System
Mounting SanDisk Compact Flash Reader Imagemate SDDR05 freezes System
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-10 16:24 EST by Paolo Prandini
Modified: 2015-10-06 16:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-11 10:36:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Prandini 2004-02-10 16:24:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Inserting Imagemate into any port freezes system after I try a simple
mount -t vfat /dev/sda1 /mnt/cflash as root. Inserting the device into
any USB port is not enough to freeze. Only mount does.
BTW, I have scsi active because I use it to access my DVD/CDRW drive
with cdrdao (that works fine).
This same device works fine in Win2K and in Fedora Core 1 if I run
Vanilla Kernel 2.4.24,even if dmesg reports some warnings.
In RH9 latest kernel it works too, with dmesg warnings.
 



Version-Release number of selected component (if applicable):
2.4.22-1.2149.nptlsmp

How reproducible:
Always

Steps to Reproduce:
1. Insert Imagemate into any USB port
2. As root from a terminal window mount the drive with mount -t vfat
/dev/sda1 /mnt/cflash
3. the Compact Flash is not mounted and the system freeze
4. Need to reset
    

Actual Results:  The command line mount -t vfat /dev/sda1 /mnt/cflash
last for ages w/o going back to the prompt and then the system freeze.
CTRL-ALT-1 does not even let you taste the root text console...

Expected Results:  No errors, mount successful.

Additional info:

HW INFO :
Motherboard ASUS P4P800S PIV 2.6 Mhz
Chipset i848P (single channel memory version of i865PE) with ICH5,
8 USB 2.0 ports enabled.

dmesg errors :
usb-uhci.c: interrupt, status 2, frame# 882
usb-uhci.c: ENXIO 80000400, flags 8, urb de669780, burb d4a20700
usb-uhci.c: ENXIO 80000400, flags 0, urb d4a20600, burb d4a20700
usb-uhci.c: ENXIO 80000400, flags 8, urb de669780, burb d4a20700
usb-uhci.c: ENXIO 80000400, flags 0, urb d4a20600, burb d4a20700
usbdevfs: USBDEVFS_CONTROL failed dev 4 rqt 128 rq 6 len 9 ret -84
..
..
 I/O error: dev 08:00, sector 0
Device 08:00 not ready.
 I/O error: dev 08:00, sector 0
hub.c: new USB device 00:1d.3-1, assigned address 6
WARNING: USB Mass Storage data integrity not assured
USB Mass Storage device found at 6
usb-uhci.c: interrupt, status 2, frame# 74
Comment 1 Paolo Prandini 2004-02-14 10:59:46 EST
Hi. 

I have done some more testing.
ImageMate USB works fine on RedHat 9 2.4.20-27.9smp #1 SMP.
This is the dmesg from RedHat 9 :
hub.c: new USB device 00:1d.3-1, assigned address 2
usb.c: USB device 2 (vend/prod 0x781/0x1) is not claimed by any active
driver.
SCSI subsystem driver Revision: 1.00
Initializing USB Mass Storage driver...
usb.c: registered new driver usb-storage
scsi0 : SCSI emulation for USB Mass Storage devices
  Vendor:           Model:                   Rev:
  Type:   Direct-Access                      ANSI SCSI revision: 02
WARNING: USB Mass Storage data integrity not assured
USB Mass Storage device found at 2
USB Mass Storage support registered.
Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 62720 512-byte hdwr sectors (32 MB)
usb-uhci.c: interrupt, status 2, frame# 1412
sda: test WP failed, assume Write Enabled
sda: sda1

This does not happen in Fedora Core 1. I have Fedora with latest
Kernel (2.4.22-1.2166nptl or ots SMP counterpart).

hope it helps.

- Regards
- Paolo


Comment 2 Paolo Prandini 2004-03-08 13:40:28 EST
Hi,

It fails even with 2.4.22-1.2174.nptlsmp stock kernel.

- Regards
- Paolo

PS : Does anybody care ?
Comment 3 Paolo Prandini 2004-04-04 03:32:58 EDT
Hi, 

Can someone provide a list of compatible USB CF reader devices ?

- Best Regards
- Paolo
Comment 4 Paolo Prandini 2004-05-09 16:24:16 EDT
Hi, 

It fails even with 2.4.22-1.2188.nptlsmp stock kernel.

- Regards
- Paolo
Comment 5 Paolo Prandini 2004-05-22 16:27:38 EDT
Close. Nobody cares. :-(
Comment 6 Paolo Prandini 2004-06-25 10:26:54 EDT
I really need that one working, pls take care !

- Regards
- Paolo
Comment 7 Paolo Prandini 2004-06-28 05:01:40 EDT
It happens even on FC2.
Should I repoen this one against FC2 ?

- Regards
- Paolo

Note You need to log in before you can comment on or make changes to this bug.